## rhythmbox 3.4.7

=== meson_options.txt ===
option('brasero', type: 'feature', value: 'auto',
       description: 'Enable disc burning support using libbrasero-media')
option('daap', type: 'feature', value: 'disabled',
       description: 'Enable DAAP sharing support using libdmapsharing')
option('fm_radio', type: 'feature', value: 'auto',
       description: 'Enable FM radio support')
option('grilo', type: 'feature', value: 'auto',
       description: 'Enable Grilo support')
option('gudev', type: 'feature', value: 'auto',
       description: 'Enable GUdev for hardware detection')
option('ipod', type: 'feature', value: 'auto',
       description: 'Enable iPod support')
option('libnotify', type: 'feature', value: 'auto',
       description: 'Enable desktop notifications with libnotify')
option('libsecret', type: 'feature', value: 'auto',
       description: 'Enable keyring support using libsecret')
option('lirc', type: 'feature', value: 'auto',
       description: 'Enable lirc support')
option('mtp', type: 'feature', value: 'auto',
       description: 'Enable MTP support')
option('plugins_python', type: 'feature', value: 'auto',
       description: 'Enable Python plugins')
option('plugins_vala', type: 'feature', value: 'auto',
       description: 'Enable Vala plugins')
option('sample-plugins', type: 'boolean', value: 'false',
       description: 'Whether to install sample plugins')

option('help', type: 'boolean', value: 'true',
       description: 'Install user documentation')
option('gtk_doc', type: 'boolean', value: 'false',
       description: 'Use gtk-doc to build documentation')
option('tests', type: 'feature', value: 'auto',
       description: 'Build tests')

=== debian/changelog ===
rhythmbox (3.4.7-2ubuntu6) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 00:14:32 +0000

rhythmbox (3.4.7-2ubuntu5) noble; urgency=medium

  * Update patches to fix unnamed actions. (LP: #2055783)
    Per jbicha: "upstream switched away from intltool after Jammy.
    The underline isn't needed now for the field to be translatable
    and _Name isn't recognized as a field". 
    - debian/patches/07_quicklists.patch
    - debian/patches/08_stop_quit.patch

 -- Amin Bandali <bandali@ubuntu.com>  Thu, 14 Mar 2024 21:16:35 -0400

rhythmbox (3.4.7-2ubuntu4) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 11 Mar 2024 23:36:49 +0000

rhythmbox (3.4.7-2ubuntu3) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Mar 2024 06:52:01 +0000

rhythmbox (3.4.7-2ubuntu2) noble; urgency=medium

  * No-change rebuild with Python 3.12 as default

 -- Graham Inggs <ginggs@ubuntu.com>  Sun, 21 Jan 2024 07:49:34 +0000

rhythmbox (3.4.7-2ubuntu1) noble; urgency=medium

  * Resynchronize on Debian, remaining changes
    + debian/control, debian/rhythmbox-plugin-zeitgeist.install,
      debian/rules:
      - Split out zeitgeist plugin
    + debian/control:
      - Allow unity-control-center as alternate dependency
      - Suggest instead of recommend gst-plugins-ugly
      - Recommend rhythmbox-plugin-alternative-toolbar. It improves the
        user interface and makes it fit better with GNOME.
    + debian/patches/02_use_escaped_podcast_uri.patch
      - Handle podcasts that have sound files with the same basename
    + debian/patches/03_magnatune_partner.patch:
      - Change magnatune partner ID to 'ubuntu'
    + debian/patches/05_hide_on_quit.patch
      - Hide (not quit) if RB is playing when closed
    + debian/patches/07_quicklists.patch
      - Add quicklists
    + debian/patches/08_stop_quit.patch:
      - Add a "Stop & Quit" option to the quickmenu (via .desktop)
      - Add new symbol to librhythmbox-core10.symbols
    + debian/patches/0002-grilo-container-max-tracks.patch:
      - Increase CONTAINER_MAX_TRACKS to 15000
    + debian/patches/10_encoding_use_ubuntu_profiles.patch, debian/*.prs,
      debian/rhythmbox-data.install:
      - Add Ubuntu encoding presets and use them by default
    + debian/patches/gitlab_lyrics_resources.patch:
      - Disable lyrics servers that are not working anymore, either because
        they are down or because they changed (lp: #1756597)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 05 Jan 2024 10:04:37 -0500

rhythmbox (3.4.7-2) unstable; urgency=medium

  * Cherry-pick 3 patches to fix issues with libxml2 2.12 and Python 3.12
  * Stop using debian/control.in and dh_gnome_clean
  * Update Build-Depends: liblircclient-dev -> liblirc-dev (Closes: #1059977)
  * Update standards version to 4.6.2, no changes needed

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 04 Jan 2024 10:03:32 -0500

rhythmbox (3.4.7-1ubuntu1) mantic; urgency=medium

  * Resynchronize on Debian, remaining changes
    + debian/control.in, debian/rhythmbox-plugin-zeitgeist.install,
      debian/rules:
      - Split out zeitgeist plugin
    + debian/control.in:
      - Allow unity-control-center as alternate dependency
      - Suggest instead of recommend gst-plugins-ugly
      - Recommends rhythmbox-plugin-alternative-toolbar. It improves the
        user interface and makes it fit better with GNOME.
    + debian/patches/02_use_escaped_podcast_uri.patch
      - Handle podcasts that have sound files with the same basename
    + debian/patches/03_magnatune_partner.patch:
      - Change magnatune partner ID to 'ubuntu'
    + debian/patches/05_hide_on_quit.patch
      - Hide (not quit) if RB is playing when closed
    + debian/patches/07_quicklists.patch
      - Add quicklists
    + debian/patches/08_stop_quit.patch:
      - Add a "Stop & Quit" option to the quickmenu (via .desktop)
      - Add new symbol to librhythmbox-core10.symbols
    + debian/patches/0002-grilo-container-max-tracks.patch:
      - Increase CONTAINER_MAX_TRACKS to 15000
    + debian/patches/10_encoding_use_ubuntu_profiles.patch, debian/*.prs,
      debian/rhythmbox-data.install:
      - Add Ubuntu encoding presets and use them by default
    + debian/patches/gitlab_lyrics_resources.patch:
      - Disable lyrics servers that are not working anymore, either because
        they are down or because they changed (lp: #1756597)

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 22 Jun 2023 13:25:03 +0200

rhythmbox (3.4.7-1) unstable; urgency=medium

  * New upstream release
  * Build with libsoup3
  * Drop unused Build-Depends on gir1.2-webkit2-4.0
  * debian/librhythmbox-core10.symbols: Drop get_party_mode symbol.
    Party Mode no longer exists and nothing in Debian used this
    (Closes: #378516, #611202)
  * Drop build test patch applied in new release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 13 Jun 2023 10:28:51 -0400

rhythmbox (3.4.7-0ubuntu3) mantic; urgency=medium

  * Re-enable dmap plugin

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 10 Jun 2023 06:47:13 -0400

rhythmbox (3.4.7-0ubuntu2) mantic; urgency=medium

  * Drop Build-Depends on gir1.2-webkit2-4.0:
    it was only used by the obsolete context plugin

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 07 Jun 2023 20:24:40 -0400

rhythmbox (3.4.7-0ubuntu1) mantic; urgency=medium

  * New upstream release
  * Build with libsoup3
  * Drop patches applied in new release
  * Refresh patches
  * Temporarily disable dmap plugin until we update libdmapsharing to 3.9
  * debian/librhythmbox-core10.symbols: Drop get_party_mode symbol.
    Party Mode no longer exists and nothing in Debian used this

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 15 May 2023 16:17:21 -0400

=== debian/control ===
Source: rhythmbox
Section: gnome
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>, Jeremy Bícha <jbicha@ubuntu.com>, Jordi Mallach <jordi@debian.org>, Laurent Bigonville <bigon@debian.org>
Build-Depends: debhelper-compat (= 13),
               check <!nocheck>,
               desktop-file-utils,
               dh-exec,
               dh-sequence-gir,
               dh-sequence-gnome,
               dh-sequence-python3,
               itstool,
               libgirepository1.0-dev (>= 0.10.0),
               libgtk-3-dev (>= 3.20.0),
               libgstreamer1.0-dev (>= 1.4.0),
               libgstreamer-plugins-base1.0-dev (>= 1.4.0),
               libgdk-pixbuf-2.0-dev (>= 2.18.0),
               libglib2.0-dev (>= 2.38.0),
               libgpod-dev (>= 0.8.2-4) [!hurd-i386],
               librsvg2-common <!nocheck>,
               libtotem-plparser-dev (>= 3.2),
               libgudev-1.0-dev (>= 143) [linux-any],
               libmtp-dev (>= 0.3.0),
               libnotify-dev (>= 0.7.0),
               libbrasero-media3-dev (>= 2.31.5) [!hurd-i386],
               libsecret-1-dev (>= 0.18),
               libsoup-3.0-dev,
               libpeas-dev (>= 0.7.3),
               meson (>= 0.59.0),
               x11proto-core-dev,
               liblirc-dev,
               gtk-doc-tools (>= 1.4),
               python3-dev (>= 3.2.3),
               python-gi-dev,
               libdmapsharing-4.0-dev,
               libjson-glib-dev,
               libgrilo-0.3-dev (>= 0.3.15-1.1~),
               libxml2-dev (>= 2.7.8),
               libtdb-dev (>= 1.2.6),
               pkg-config,
               xauth <!nocheck>,
               xvfb <!nocheck>,
Build-Depends-Indep: docbook-xsl (>= 1.54.1),
                     docbook-utils (>= 0.6.11),
                     libglib2.0-doc,
                     libgtk-3-doc,
                     libpango1.0-doc,
                     libgdk-pixbuf2.0-doc,
Rules-Requires-Root: no
Standards-Version: 4.6.2
XS-Debian-Vcs-Git: https://salsa.debian.org/gnome-team/rhythmbox.git
XS-Debian-Vcs-Browser: https://salsa.debian.org/gnome-team/rhythmbox
Vcs-Git: https://salsa.debian.org/gnome-team/rhythmbox.git -b ubuntu/latest
Vcs-Browser: https://salsa.debian.org/gnome-team/rhythmbox/tree/ubuntu/latest
Homepage: https://wiki.gnome.org/Apps/Rhythmbox

Package: rhythmbox
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         ${python3:Depends},
         rhythmbox-data (>= ${source:Version}),
         librhythmbox-core10 (= ${binary:Version}),
         dbus,
         gstreamer1.0-plugins-base (>= 1.4.0),
         gstreamer1.0-plugins-good (>= 1.4.0),
         gstreamer1.0-x,
         media-player-info [linux-any]
Recommends: yelp,
            avahi-daemon,
            notification-daemon,
            gvfs-backends,
            rhythmbox-plugin-alternative-toolbar,
            rhythmbox-plugins
Suggests: gstreamer1.0-plugins-bad,
          gstreamer1.0-plugins-ugly,
          gnome-codec-install,
          gnome-control-center | unity-control-center,
          notification-daemon,
          rhythmbox-plugin-cdrecorder,
          rhythmbox-plugin-zeitgeist
Description: music player and organizer for GNOME
 Rhythmbox is a very easy to use music playing and management program
 which supports a wide range of audio formats (including mp3 and ogg).
 Originally inspired by Apple's iTunes, the current version also supports
 Internet Radio, iPod integration and generic portable audio player
 support, Audio CD burning, Audio CD playback, music sharing, and
 Podcasts.

Package: rhythmbox-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Recommends: rhythmbox
Description: data files for rhythmbox
 Rhythmbox is a very easy to use music playing and management program
 which supports a wide range of audio formats (including mp3 and ogg).
 Originally inspired by Apple's iTunes, the current version also supports
 Internet Radio, iPod integration and generic portable audio player
 support, Audio CD burning, Audio CD playback, music sharing, and
 Podcasts.
 .
 This package contains pictures, localization files and other data
 needed by rhythmbox.

Package: rhythmbox-plugins
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         ${python3:Depends},
         rhythmbox (= ${binary:Version}),
         librhythmbox-core10 (= ${binary:Version}),
         gir1.2-rb-3.0 (= ${binary:Version}),
         gir1.2-glib-2.0,
         gir1.2-gtk-3.0,
         gir1.2-peas-1.0,
         gir1.2-gstreamer-1.0,
         gir1.2-secret-1,
         python3-gi,
         python3-mako
Description: plugins for rhythmbox music player
 Rhythmbox is a very easy to use music playing and management program
 which supports a wide range of audio formats (including mp3 and ogg).
 Originally inspired by Apple's iTunes, the current version also supports
 Internet Radio, iPod integration and generic portable audio player
 support, Audio CD burning, Audio CD playback, music sharing, and
 Podcasts.
 .
 This package contains the following plugins:
  - Cover art search
  - Audio CD Player
  - Last.fm
  - DAAP Music Sharing
  - FM Radio
  - Grilo media browser
  - IM Status
  - Internet Radio
  - Song Lyrics
  - Magnatune Store
  - Media Player Keys
  - Portable Players (generic, iPod, MTP)
  - Notification
  - Power Manager
  - Python Console
  - LIRC
  - Replay Gain
  - MediaServer2 D-Bus interface
  - MPRIS D-Bus interface
  - Web remote control

Package: rhythmbox-plugin-cdrecorder
Architecture: linux-any kfreebsd-any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         rhythmbox (= ${binary:Version})
Description: burning plugin for rhythmbox music player
 Rhythmbox is a very easy to use music playing and management program
 which supports a wide range of audio formats (including mp3 and ogg).
 Originally inspired by Apple's iTunes, the current version also supports
 Internet Radio, iPod integration and generic portable audio player
 support, Audio CD burning, Audio CD playback, music sharing, and
 Podcasts.
 .
 This package contains the brasero based CD/DVD burning plugin.

Package: rhythmbox-plugin-zeitgeist
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends},
         rhythmbox (>= ${gnome:Version}),
         rhythmbox (<< ${gnome:NextVersion}),
         gir1.2-glib-2.0,
         gir1.2-peas-1.0,
         gir1.2-zeitgeist-2.0,
         zeitgeist-core
Description: zeitgeist plugin for rhythmbox music player
 Rhythmbox is a very easy to use music playing and management program
 which supports a wide range of audio formats (including mp3 and ogg).
 Originally inspired by Apple's iTunes, the current version also supports
 Internet Radio, iPod integration and generic portable audio player
 support, Audio CD burning, Audio CD playback, music sharing, and
 Podcasts.
 .
 This package contains the zeitgeist logging plugin.

Package: librhythmbox-core10
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: support library for the rhythmbox music player
 Rhythmbox is a very easy to use music playing and management program
 which supports a wide range of audio formats (including mp3 and ogg).
 .
 This package contains the core support library used by rhythmbox and
 programs interacting with it.

Package: rhythmbox-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends},
         librhythmbox-core10 (= ${binary:Version}),
         gir1.2-rb-3.0 (= ${binary:Version}),
         libglib2.0-dev (>= 2.38.0),
         libgtk-3-dev (>= 3.20.0),
         libsoup-3.0-dev,
         libtotem-plparser-dev,
         libgstreamer1.0-dev
Suggests: rhythmbox-doc
Description: development files for the rhythmbox music player
 Rhythmbox is a very easy to use music playing and management program
 which supports a wide range of audio formats (including mp3 and ogg).
 .
 This package contains the development headers and libraries needed to
 build rhythmbox plugins.

Package: rhythmbox-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Suggests: devhelp
Description: documentation files for the rhythmbox music player
 Rhythmbox is a very easy to use music playing and management program
 which supports a wide range of audio formats (including mp3 and ogg).
 .
 This package contains the API documentation.

Package: gir1.2-rb-3.0
Section: introspection
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${gir:Depends}
Provides: gir1.2-mpid-3.0 (= ${binary:Version})
Description: GObject introspection data for the rhythmbox music player
 Rhythmbox is a very easy to use music playing and management program
 which supports a wide range of audio formats (including mp3 and ogg).
 .
 This package contains introspection data for the Rhythmbox core support
 libraries. It can be used to write and execute plugins for rhythmbox in
 interpreted languages supporting it.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1

%:
	dh $@

ifneq ($(DEB_HOST_ARCH_OS),linux)
CONFFLAGS = -Dgudev=disabled
endif

override_dh_auto_configure:
	dh_auto_configure -- \
		-Dauto_features=enabled \
		-Ddaap=enabled \
		-Dgtk_doc=true \
		-Dplugins_vala=disabled \
		$(CONFFLAGS)

override_dh_auto_test:
	xvfb-run dh_auto_test -- --timeout-multiplier 3

# This plugin was dropped from the Debian package years ago
# It would need to depend on zeitgeist to be useful
# So we'd probably want to add a separate binary package
# since zeitgeist isn't something we need by default these days
override_dh_missing:
	dh_missing -Xrbzeitgeist

override_dh_python3:
	dh_python3 --no-ext-rename /usr/lib/rhythmbox
	dh_python3 --no-ext-rename /usr/lib/$(DEB_HOST_MULTIARCH)/rhythmbox

override_dh_makeshlibs:
	dh_makeshlibs -prhythmbox-plugins --no-act
	dh_makeshlibs -prhythmbox-plugin-cdrecorder --no-act
	dh_makeshlibs -prhythmbox-plugin-zeitgeist --no-act
	dh_makeshlibs --remaining-packages

override_dh_gnome_clean:

## rhythmbox 3.4.7-2ubuntu6trisquel3

=== debian/changelog ===
rhythmbox (3.4.7-2ubuntu6trisquel3) ecne; urgency=medium

  * Changed referer for magnatune.     #Closes 1718

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Sun, 13 Oct 2024 07:39:52 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: rhythmbox
 Section: gnome
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
 XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>, Jeremy Bícha <jbicha@ubuntu.com>, Jordi Mallach <jordi@debian.org>, Laurent Bigonville <bigon@debian.org>
 Build-Depends: debhelper-compat (= 13),

## rhythmbox 3.4.8

=== debian/changelog ===
rhythmbox (3.4.8-2) unstable; urgency=high

  * Team upload
  * d/rules: Run tests under the run-with-display script from gtk4.
    In particular, this instructs xvfb-run to pass the -noreset option to
    Xvfb, working around defaults that cause intermittent test failures
    (see #981201). (Closes: #1093686)
  * d/control: Build-Depend on (most of the) required gir1.2-*-dev packages.
    Ideally we should also Build-Depend on the gir1.2-gstpbutils-1.0-dev
    virtual package, but libgstreamer-plugins-base1.0-dev doesn't yet
    provide it.
  * d/control: Build-Depend on gobject-introspection instead of
    libgirepository1.0-dev
  * d/control: rhythmbox-dev Depends on ${gir:Depends}.
    This means we no longer need to hard-code the dependency on
    gir1.2-rb-3.0.
  * d/control: gir1.2-rb-3.0 Provides ${gir:Provides}, instead of
    hard-coding its equivalent
  * Set high urgency so that fixing the test failures can unblock the
    libxml2 transition

 -- Simon McVittie <smcv@debian.org>  Sun, 31 Aug 2025 14:29:50 +0100

rhythmbox (3.4.8-1) unstable; urgency=medium

  * Team upload

  [ Sebastien Bacher ]
  * New upstream release
    - Fixes syntax warnings with Python 3.12 (Closes: #1074390)
    - No longer uses cgi module, removed in Python 3.13 (Closes: #1084705)
  * debian/control:
    - update meson requirement
  * refresh patches, removed the ones included in the new version
  * debian/librhythmbox-core10.symbols:
    - updated for the new version
  * debian/control,
    debian/rhythmbox-doc.install,
    debian/rhythmbox-doc.links,
    debian/rules:
    - update for change from gtk-doc to gi-docgen
  * debian/rhythmbox.docs:
    - updated for the README rename

  [ Jeremy Bícha ]
  * Update pkg-config binary package name
  * Add Provides: ${gir:Provides} to rhythmbox-dev
  * Bump Standards Version to 4.7.0

  [ Simon McVittie ]
  * d/p/doc-install-the-api-documentation.patch,
    d/rhythmbox-doc.{install,links}:
    Install gi-docgen-generated documentation
  * d/control, d/rules: Don't require gi-docgen unless building rhythmbox-doc
  * d/control: Don't require -doc packages for documentation build.
    gtk-doc needed these, but gi-docgen does not.
  * d/rules: Disable brasero and ipod plugins on Hurd.
    The corresponding build-dependencies are not installed on this
    platform, and `meson -Dauto_features=enabled` requires features with
    missing dependencies to be disabled explicitly.
  * d/p/doc-Register-API-documentation-with-devhelp.patch:
    Add a patch to re-enable devhelp integration
  * d/rhythmbox-doc.doc-base: Register documentation with doc-base

 -- Simon McVittie <smcv@debian.org>  Fri, 27 Dec 2024 12:44:49 +0000

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: rhythmbox
 Section: gnome
 Priority: optional
-Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
-XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>, Jeremy Bícha <jbicha@ubuntu.com>, Jordi Mallach <jordi@debian.org>, Laurent Bigonville <bigon@debian.org>
 Build-Depends: debhelper-compat (= 13),
                check <!nocheck>,
@@ -11,8 +10,13 @@
                dh-sequence-gir,
                dh-sequence-gnome,
                dh-sequence-python3,
+               gir1.2-gio-2.0-dev,
+               gir1.2-gobject-2.0-dev,
+               gir1.2-gst-1.0-dev,
+               gir1.2-gtk-3.0-dev,
+               gir1.2-libxml2-2.0-dev,
+               gobject-introspection (>= 1.80),
                itstool,
-               libgirepository1.0-dev (>= 0.10.0),
                libgtk-3-dev (>= 3.20.0),
                libgstreamer1.0-dev (>= 1.4.0),
                libgstreamer-plugins-base1.0-dev (>= 1.4.0),
@@ -28,10 +32,9 @@
                libsecret-1-dev (>= 0.18),
                libsoup-3.0-dev,
                libpeas-dev (>= 0.7.3),
-               meson (>= 0.59.0),
+               meson (>= 0.64),
                x11proto-core-dev,
                liblirc-dev,
-               gtk-doc-tools (>= 1.4),
                python3-dev (>= 3.2.3),
                python-gi-dev,
                libdmapsharing-4.0-dev,
@@ -39,21 +42,16 @@
                libgrilo-0.3-dev (>= 0.3.15-1.1~),
                libxml2-dev (>= 2.7.8),
                libtdb-dev (>= 1.2.6),
-               pkg-config,
+               pkgconf,
                xauth <!nocheck>,
                xvfb <!nocheck>,
 Build-Depends-Indep: docbook-xsl (>= 1.54.1),
                      docbook-utils (>= 0.6.11),
-                     libglib2.0-doc,
-                     libgtk-3-doc,
-                     libpango1.0-doc,
-                     libgdk-pixbuf2.0-doc,
+                     gi-docgen <!nodoc>,
 Rules-Requires-Root: no
-Standards-Version: 4.6.2
-XS-Debian-Vcs-Git: https://salsa.debian.org/gnome-team/rhythmbox.git
-XS-Debian-Vcs-Browser: https://salsa.debian.org/gnome-team/rhythmbox
-Vcs-Git: https://salsa.debian.org/gnome-team/rhythmbox.git -b ubuntu/latest
-Vcs-Browser: https://salsa.debian.org/gnome-team/rhythmbox/tree/ubuntu/latest
+Standards-Version: 4.7.0
+Vcs-Git: https://salsa.debian.org/gnome-team/rhythmbox.git
+Vcs-Browser: https://salsa.debian.org/gnome-team/rhythmbox
 Homepage: https://wiki.gnome.org/Apps/Rhythmbox
 
 Package: rhythmbox
@@ -71,16 +69,13 @@
 Recommends: yelp,
             avahi-daemon,
             notification-daemon,
+            gstreamer1.0-plugins-ugly,
             gvfs-backends,
-            rhythmbox-plugin-alternative-toolbar,
             rhythmbox-plugins
 Suggests: gstreamer1.0-plugins-bad,
-          gstreamer1.0-plugins-ugly,
           gnome-codec-install,
-          gnome-control-center | unity-control-center,
-          notification-daemon,
-          rhythmbox-plugin-cdrecorder,
-          rhythmbox-plugin-zeitgeist
+          gnome-control-center,
+          rhythmbox-plugin-cdrecorder
 Description: music player and organizer for GNOME
  Rhythmbox is a very easy to use music playing and management program
  which supports a wide range of audio formats (including mp3 and ogg).
@@ -148,6 +143,7 @@
   - Replay Gain
   - MediaServer2 D-Bus interface
   - MPRIS D-Bus interface
+  - Browser plugin to integrate Rhythmbox with iTunes
   - Web remote control
 
 Package: rhythmbox-plugin-cdrecorder
@@ -165,27 +161,6 @@
  .
  This package contains the brasero based CD/DVD burning plugin.
 
-Package: rhythmbox-plugin-zeitgeist
-Architecture: all
-Depends: ${misc:Depends},
-         ${python3:Depends},
-         ${shlibs:Depends},
-         rhythmbox (>= ${gnome:Version}),
-         rhythmbox (<< ${gnome:NextVersion}),
-         gir1.2-glib-2.0,
-         gir1.2-peas-1.0,
-         gir1.2-zeitgeist-2.0,
-         zeitgeist-core
-Description: zeitgeist plugin for rhythmbox music player
- Rhythmbox is a very easy to use music playing and management program
- which supports a wide range of audio formats (including mp3 and ogg).
- Originally inspired by Apple's iTunes, the current version also supports
- Internet Radio, iPod integration and generic portable audio player
- support, Audio CD burning, Audio CD playback, music sharing, and
- Podcasts.
- .
- This package contains the zeitgeist logging plugin.
-
 Package: librhythmbox-core10
 Section: libs
 Architecture: any
@@ -203,15 +178,16 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends},
+Depends: ${gir:Depends},
+         ${misc:Depends},
          ${shlibs:Depends},
          librhythmbox-core10 (= ${binary:Version}),
-         gir1.2-rb-3.0 (= ${binary:Version}),
          libglib2.0-dev (>= 2.38.0),
          libgtk-3-dev (>= 3.20.0),
          libsoup-3.0-dev,
          libtotem-plparser-dev,
          libgstreamer1.0-dev
+Provides: ${gir:Provides}
 Suggests: rhythmbox-doc
 Description: development files for the rhythmbox music player
  Rhythmbox is a very easy to use music playing and management program
@@ -221,6 +197,7 @@
  build rhythmbox plugins.
 
 Package: rhythmbox-doc
+Build-Profiles: <!nodoc>
 Section: doc
 Architecture: all
 Multi-Arch: foreign
@@ -239,7 +216,7 @@
 Depends: ${shlibs:Depends},
          ${misc:Depends},
          ${gir:Depends}
-Provides: gir1.2-mpid-3.0 (= ${binary:Version})
+Provides: ${gir:Provides}
 Description: GObject introspection data for the rhythmbox music player
  Rhythmbox is a very easy to use music playing and management program
  which supports a wide range of audio formats (including mp3 and ogg).

=== debian/rules ===
#!/usr/bin/make -f

built_binaries := $(shell dh_listpackages)

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1

%:
	dh $@

CONFFLAGS =

ifneq ($(DEB_HOST_ARCH_OS),linux)
CONFFLAGS += -Dgudev=disabled
else
CONFFLAGS += -Dgudev=enabled
endif

ifeq ($(DEB_HOST_ARCH_OS),hurd)
CONFFLAGS += -Dbrasero=disabled
CONFFLAGS += -Dipod=disabled
else
CONFFLAGS += -Dbrasero=enabled
CONFFLAGS += -Dipod=enabled
endif

ifneq ($(filter %-doc,$(built_binaries)),)
CONFFLAGS += -Dapidoc=true
else
CONFFLAGS += -Dapidoc=false
endif

override_dh_auto_configure:
	dh_auto_configure -- \
		-Dauto_features=enabled \
		-Ddaap=enabled \
		-Dplugins_vala=disabled \
		$(CONFFLAGS)

override_dh_auto_test:
	debian/tests/run-with-display x11 \
	dh_auto_test -- --timeout-multiplier 3

# This plugin was dropped from the Debian package years ago
# It would need to depend on zeitgeist to be useful
# So we'd probably want to add a separate binary package
# since zeitgeist isn't something we need by default these days
override_dh_missing:
	dh_missing -Xrbzeitgeist

override_dh_python3:
	dh_python3 --no-ext-rename /usr/lib/$(DEB_HOST_MULTIARCH)/rhythmbox

override_dh_makeshlibs:
	dh_makeshlibs -prhythmbox-plugins --no-act
	dh_makeshlibs -prhythmbox-plugin-cdrecorder --no-act
	dh_makeshlibs --remaining-packages

override_dh_gnome_clean:

## rhythmbox 3.4.9

=== meson_options.txt ===
--- 
+++ 
@@ -22,12 +22,12 @@
        description: 'Enable Python plugins')
 option('plugins_vala', type: 'feature', value: 'auto',
        description: 'Enable Vala plugins')
-option('sample-plugins', type: 'boolean', value: 'false',
+option('sample-plugins', type: 'boolean', value: false,
        description: 'Whether to install sample plugins')
 
-option('help', type: 'boolean', value: 'true',
+option('help', type: 'boolean', value: true,
        description: 'Install user documentation')
-option('gtk_doc', type: 'boolean', value: 'false',
-       description: 'Use gtk-doc to build documentation')
+option('apidoc', type: 'boolean', value: false,
+       description: 'Build API documentation')
 option('tests', type: 'feature', value: 'auto',
        description: 'Build tests')

=== debian/changelog ===
rhythmbox (3.4.9-4) unstable; urgency=medium

  [ Jeremy Bícha ]
  * Move Maintainer from Debian GNOME to Debian GNOME Extras
  * Bump Standards Version to 4.7.3

  [ Luboš Novák ]
  * rhythmbox-plugins: Add Depends: gir1.2-soup-3.0 (LP: #2054734)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 05 Feb 2026 12:49:24 -0500

rhythmbox (3.4.9-3) unstable; urgency=medium

  * Team upload

  [ Jeremy Bícha ]
  * Remove Suggests: devhelp

  [ Simon McVittie ]
  * d/control: Explicitly Breaks older python3-gi.
    The dependency is enforced by rhythmbox-plugins anyway, but let's
    be safer.
  * Upload to unstable (transition: #1118613)

 -- Simon McVittie <smcv@debian.org>  Wed, 05 Nov 2025 11:24:54 +0000

rhythmbox (3.4.9-2) experimental; urgency=medium

  * Team upload
  * Rebuild against pygobject 3.52+ and a compatible libpeas
    (Helps: #1118363, #1099164)
    - d/control: Bump Build-Depends on pygobject packages to 3.52
    - d/control: Bump Build-Depends on libpeas packages to 1.36.0-6~
  * d/rules: Run tests without AT-SPI to silence some warnings
  * Upload to experimental until we are ready for the pygobject 3.54
    transition

 -- Simon McVittie <smcv@debian.org>  Mon, 20 Oct 2025 13:39:30 +0100

rhythmbox (3.4.9-1) unstable; urgency=medium

  * Team upload
  * New upstream release
    - Fix compatibility with GLib 2.86
    - Compile-time compatible with either pygobject 3.50 and libpeas 1.36,
      or pygobject 3.52+ and libpeas 1.38 prereleases
  * d/patches: Drop a patch that was included in the new upstream release
  * d/gbp.conf: Update upstream tag naming scheme
  * d/watch: Convert to v5 format
  * Build-depend on gir1.2-gstpbutils-1.0-dev.
    libgstreamer-plugins-base1.0-dev now Provides this.
  * d/librhythmbox-core10.symbols: Update.
    This includes ABI breaks, but the removed objects don't seem to be used
    by any Rhythmbox plugins in practice.
  * d/copyright: Don't quote the FSF's former postal address here
  * d/patches: Update patch metadata
  * d/rhythmbox-plugins.lintian-overrides: Silence a false positive

 -- Simon McVittie <smcv@debian.org>  Sat, 18 Oct 2025 15:04:49 +0100

rhythmbox (3.4.8-3) unstable; urgency=medium

  * Fix build with nocheck profile (Closes: #1116895)
  * Bump Standards Version to 4.7.2

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 30 Sep 2025 11:44:38 -0400

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,6 @@
 Source: rhythmbox
 Section: gnome
-Priority: optional
-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Maintainer: Debian GNOME Extras Maintainers <pkg-gnome-extras-maintainers@lists.alioth.debian.org>
 Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>, Jeremy Bícha <jbicha@ubuntu.com>, Jordi Mallach <jordi@debian.org>, Laurent Bigonville <bigon@debian.org>
 Build-Depends: debhelper-compat (= 13),
                check <!nocheck>,
@@ -13,6 +12,7 @@
                gir1.2-gio-2.0-dev,
                gir1.2-gobject-2.0-dev,
                gir1.2-gst-1.0-dev,
+               gir1.2-gstpbutils-1.0-dev,
                gir1.2-gtk-3.0-dev,
                gir1.2-libxml2-2.0-dev,
                gobject-introspection (>= 1.80),
@@ -31,12 +31,12 @@
                libbrasero-media3-dev (>= 2.31.5) [!hurd-i386],
                libsecret-1-dev (>= 0.18),
                libsoup-3.0-dev,
-               libpeas-dev (>= 0.7.3),
+               libpeas-dev (>= 1.36.0-6~),
                meson (>= 0.64),
                x11proto-core-dev,
                liblirc-dev,
                python3-dev (>= 3.2.3),
-               python-gi-dev,
+               python-gi-dev (>= 3.52),
                libdmapsharing-4.0-dev,
                libjson-glib-dev,
                libgrilo-0.3-dev (>= 0.3.15-1.1~),
@@ -48,17 +48,15 @@
 Build-Depends-Indep: docbook-xsl (>= 1.54.1),
                      docbook-utils (>= 0.6.11),
                      gi-docgen <!nodoc>,
-Rules-Requires-Root: no
-Standards-Version: 4.7.0
-Vcs-Git: https://salsa.debian.org/gnome-team/rhythmbox.git
-Vcs-Browser: https://salsa.debian.org/gnome-team/rhythmbox
+Standards-Version: 4.7.3
+Vcs-Git: https://salsa.debian.org/gnome-team/extras/rhythmbox.git
+Vcs-Browser: https://salsa.debian.org/gnome-team/extras/rhythmbox
 Homepage: https://wiki.gnome.org/Apps/Rhythmbox
 
 Package: rhythmbox
 Architecture: any
 Depends: ${misc:Depends},
          ${shlibs:Depends},
-         ${python3:Depends},
          rhythmbox-data (>= ${source:Version}),
          librhythmbox-core10 (= ${binary:Version}),
          dbus,
@@ -76,6 +74,7 @@
           gnome-codec-install,
           gnome-control-center,
           rhythmbox-plugin-cdrecorder
+Breaks: python3-gi (<< 3.52),
 Description: music player and organizer for GNOME
  Rhythmbox is a very easy to use music playing and management program
  which supports a wide range of audio formats (including mp3 and ogg).
@@ -110,10 +109,11 @@
          gir1.2-rb-3.0 (= ${binary:Version}),
          gir1.2-glib-2.0,
          gir1.2-gtk-3.0,
-         gir1.2-peas-1.0,
+         gir1.2-peas-1.0 (>= 1.36.0-6~),
          gir1.2-gstreamer-1.0,
          gir1.2-secret-1,
-         python3-gi,
+         gir1.2-soup-3.0,
+         python3-gi (>= 3.52),
          python3-mako
 Description: plugins for rhythmbox music player
  Rhythmbox is a very easy to use music playing and management program
@@ -180,7 +180,6 @@
 Multi-Arch: same
 Depends: ${gir:Depends},
          ${misc:Depends},
-         ${shlibs:Depends},
          librhythmbox-core10 (= ${binary:Version}),
          libglib2.0-dev (>= 2.38.0),
          libgtk-3-dev (>= 3.20.0),
@@ -202,7 +201,6 @@
 Architecture: all
 Multi-Arch: foreign
 Depends: ${misc:Depends}
-Suggests: devhelp
 Description: documentation files for the rhythmbox music player
  Rhythmbox is a very easy to use music playing and management program
  which supports a wide range of audio formats (including mp3 and ogg).
@@ -213,9 +211,8 @@
 Section: introspection
 Architecture: any
 Multi-Arch: same
-Depends: ${shlibs:Depends},
-         ${misc:Depends},
-         ${gir:Depends}
+Depends: ${gir:Depends},
+         ${misc:Depends}
 Provides: ${gir:Provides}
 Description: GObject introspection data for the rhythmbox music player
  Rhythmbox is a very easy to use music playing and management program

=== debian/rules ===
--- 
+++ 
@@ -35,9 +35,11 @@
 		-Dauto_features=enabled \
 		-Ddaap=enabled \
 		-Dplugins_vala=disabled \
+		-Dtests=$(if $(filter nocheck,$(DEB_BUILD_OPTIONS)),disabled,enabled) \
 		$(CONFFLAGS)
 
 override_dh_auto_test:
+	env NO_AT_BRIDGE=1 \
 	debian/tests/run-with-display x11 \
 	dh_auto_test -- --timeout-multiplier 3
 
@@ -56,4 +58,5 @@
 	dh_makeshlibs -prhythmbox-plugin-cdrecorder --no-act
 	dh_makeshlibs --remaining-packages
 
-override_dh_gnome_clean:
+# We only use dh_gnome to automatically run dh_translations in Ubuntu
+override_dh_gnome:
